/*!
 * KiCad Website CSS
 * Based on
 * Clean Blog v1.0.0 (http://startbootstrap.com)
 * Copyright 2014 Start Bootstrap
 * Licensed under Apache 2.0 (https://github.com/IronSummitMedia/startbootstrap/blob/gh-pages/LICENSE)
 */
body {
    font-family: 'Open Sans','Helvetica Neue',Helvetica,Arial,sans-serif;
    font-size: 16px;
    color: #404040;
}
p {
    line-height: 1.5;
    margin: 15px 0;
}

li p {
    margin: 0px 0;
}
p a { 
    text-decoration: underline 
}
p a.btn {
    text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
}
a { color: #525252 }
a:hover,
a:focus { color: #0085a1 }
.side-links .active a {
    color: white;
}
.thumbnail img:hover,
.thumbnail img:focus { cursor: zoom-in }
blockquote {
    color: gray;
    font-style: italic;
}
hr.small {
    width: 100px;
    margin: 5px auto;
    border-width: 4px;
    border-color: #fff;
}
.navbar-custom {
	background-color: white;
	background: white;
	transition: background-color 1s ease 0s; /* Transition effect to make it fade in (optional) */
	box-shadow: 0px 0px 10px #3C3C3C;
}

.navbar-custom .navbar-brand { font-weight: 800 }
.navbar-custom .nav li a {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 800;
    letter-spacing: 1px;
	color: #000;
}
@media only screen and (min-width:768px) {
	.navbar-custom.transparent {
		background-color: rgba(128, 128, 128, 0.44);
		border: none;
		color: white;
		z-index: 100;
		margin-bottom: 0;
		border-radius: 0;
	}

    .navbar-custom .navbar-brand,
	.navbar-custom.transparent .nav li a {
		color: #fff;
		padding: 20px;
	}
	.navbar-custom.transparent .nav li a:hover,
	.navbar-custom.transparent .nav li a:focus { color: rgba(255,255,255,.8) }

	.navbar-custom.transparent .nav li.open a {
		color: #404040;
	}

    .navbar-custom .navbar-brand:hover,
    .navbar-custom .navbar-brand:focus { color: rgba(255,255,255,.8) }
    .navbar-custom .nav li a {
        padding: 20px;
    }

    .navbar-custom .navbar-brand img {
        max-width: 100px;
		margin-top: -13px;
    }

	*[id]:before {
		display: block;
		content: " ";
		margin-top: -75px;
		height: 75px;
		visibility: hidden;
	}
}

@media only screen and (min-width:1170px) {
    .navbar-custom {
        -webkit-transition: background-color .3s;
        -moz-transition: background-color .3s;
        transition: background-color .3s;
        -webkit-transform: translate3d(0,0,0);
        -moz-transform: translate3d(0,0,0);
        -ms-transform: translate3d(0,0,0);
        -o-transform: translate3d(0,0,0);
        transform: translate3d(0,0,0);
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
    }
}

/* Shrink padding when the window is made smaller */
@media (max-width: 1150px) {
	.navbar-custom.transparent .nav li a,
	.navbar-custom .nav li a {
        padding-left: 6px;
        padding-right: 6px;
	}
    .navbar-custom .navbar-brand {
        padding-left: 6px;
        padding-right: 6px;
    }
    .navbar-custom .navbar-brand img {
        max-width: 80px;
		margin-top: -10px;
    }
	.navbar-static-top {
		margin-bottom:0;
	}
}

.intro-header {
    background-color: gray;
    background: no-repeat center center;
    background-attachment: scroll;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    -o-background-size: cover;
    margin-bottom: 15px;
}
.intro-header .site-heading,
.intro-header .post-heading,
.intro-header .page-heading {
    padding: 100px 0 50px;
    color: #fff;
}

.intro-header {
    background-image: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.6)),url('/static/img/frontpage/banner.jpg');
}

.webp .intro-header {
	background-image: linear-gradient(rgba(0,0,0,0.8),rgba(0,0,0,0.6)),url('/static/img/frontpage/banner.webp');
}

@media only screen and (min-width:768px) {
    .intro-header .site-heading,
    .intro-header .post-heading,
    .intro-header .page-heading { padding: 110px 0 }
}
.intro-header .site-heading,
.intro-header .page-heading { text-align: center }
.intro-header .site-heading h1,
.intro-header .page-heading h1 {
    margin-top: 0;
    font-size: 50px;
	font-weight:700;
}
@media only screen and (min-width:768px) {
    .intro-header .site-heading h1,
    .intro-header .page-heading h1 { font-size: 80px }
}
.intro-header .post-heading h1 { font-size: 35px }
.intro-header .post-heading .meta {
    line-height: 1.1;
    display: block;
}
.intro-header .post-heading .meta {
    font-style: italic;
    font-weight: 300;
    font-size: 20px;
}
.intro-header .post-heading .meta a { color: #fff }
@media only screen and (min-width:768px) {
    .intro-header .post-heading h1 { font-size: 55px }
}
.content-section-a, .content-section-b { /*index.html*/
    text-align: justify;
}
.post-preview-intro {
    font-style: italic;
}
.post-preview>a { color: #404040 }
.post-preview>a:hover,
.post-preview>a:focus {
    text-decoration: none;
    color: #0085a1;
}
.post-preview h2 {
    font-size: 30px;
    margin-top: 10px;
    margin-bottom: 0;
}
.post-full h1 {
    margin-top: 10px;
    margin-bottom: 0;
}
.post-meta {
    text-align: right;
    font-style: italic;
    color: #888;
}
.post-preview .post-summary {
    text-align: justify;
    margin-bottom: 5px;
}
.post-full section p {
    text-align: justify;
}
header .post-full {
    margin-bottom: -10px;
}
.post-preview .readmore a {
    text-decoration: underline;
}
.section-heading {
    margin-top: 0px;
    font-weight: 700;
}
.caption {
    text-align: center;
    font-size: 14px;
    padding: 10px;
    font-style: italic;
    margin: 0;
    display: block;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
}
body > footer {
	background-color: #333537;
    color: #a1a1a1;
}
body > footer a {
    color: #a1a1a1; /* ensure links also made the same color */
}
body > footer .list-inline {
    margin: 0;
    padding: 0;
}
body > footer .copyright {
    font-size: 14px;
    text-align: center;
    margin-bottom: 0;
}
#footer-text { /* Hide the asciidoc footer showing useless generation time */
    display: none;
}
.btn {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 800;
    letter-spacing: 1px;
    border-radius: 0;
    padding: 15px 25px;
}
.btn-lg {
    font-size: 16px;
    padding: 25px 35px;
}
.btn-default:hover,
.btn-default:focus {
    background-color: #0085a1;
    border: 1px solid #0085a1;
    color: #fff;
}
.pager { margin: 20px 0 0 }
.pager li>a,
.pager li>span {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 800;
    letter-spacing: 1px;
    padding: 15px 25px;
    background-color: #fff;
    border-radius: 0;
}
.pager li>a:hover,
.pager li>a:focus {
    color: #fff;
    background-color: #0085a1;
    border: 1px solid #0085a1;
}
.pager .disabled>a,
.pager .disabled>a:hover,
.pager .disabled>a:focus,
.pager .disabled>span {
    color: gray;
    background-color: #404040;
    cursor: not-allowed;
}
::-moz-selection {
    color: #fff;
    text-shadow: none;
    background: #0085a1;
}
::selection {
    color: #fff;
    text-shadow: none;
    background: #0085a1;
}
img::selection {
    color: #fff;
    background: 0 0;
}
img::-moz-selection {
    color: #fff;
    background: 0 0;
}
body { webkit-tap-highlight-color: #0085a1 }

/* Fix asciidoc tables generating paragraphs inside tables */
table p {
	margin: 0;
}

/* Additional styling for library related tables */

.library table, 
.library th, 
.library td {
  border: 1px solid #aaa;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 2px;
  padding-bottom: 2px;
}

.library td.last {
    width: 1px;
    white-space: nowrap;
}

.library tr:nth-child(even) {
  background: #EEE;
}

.library tr:nth-child(odd) {
  background: #FFF;
}


/* Override bootstrap default */
.lead {
	font-weight: normal;
	font-size:18px;
}

.page-header-decor {
	background-position:top;
	background-image:url('/static/img/frontpage/banner.jpg');
	height: 80px;
	margin-top: 40px;
}

.webp .page-header-decor {
	background-image:url('/static/img/frontpage/banner.webp');
}


.page-header-decor-no-margin {
	margin-top: 0;
}

.admonitionblock {
    margin-top: 10px;
    color: rgba(0,0,0,.6);
    padding: 20px;
}

/* asciidoctor styling output styling */
.admonitionblock>table td.icon {
    text-align: center;
    width: 80px;
}

.admonitionblock td.icon [class^="fa icon-"]{
    font-size:2.5em;
    text-shadow:1px 1px 2px rgba(0,0,0,.5);
    cursor:default
}

.admonitionblock td.icon .icon-note::before {
    content:"\f05a";
    color:#19407c
}

.admonitionblock td.icon .icon-tip::before{
    content:"\f0eb";
    text-shadow:1px 1px 2px rgba(155,155,0,.8);
    color:#111
}

.admonitionblock td.icon .icon-warning::before{
    content:"\f071";
    color:#bf6900
}

.admonitionblock td.icon .icon-caution::before
{
    content:"\f06d";
    color:#bf3400
}

.admonitionblock td.icon .icon-important::before
{
    content:"\f06a";
    color:#bf0000
}

.admonitionblock>table td.content {
    padding-left: 1.125em;
    padding-right: 1.25em;
    border-left: 1px solid #ddddd8;
}


.admonitionblock.warning {
    color:#8a6d3b;
    background-color:#ffd3d3;
    border-color:#faebcc
}

.admonitionblock.caution,
.admonitionblock.important {
    color:#8a6d3b;
    background-color:#fcf8e3;
    border-color:#faebcc
}

.admonitionblock.tip,
.admonitionblock.note {
    color:#31708f;
    background-color:#d9edf7;
    border-color:#faebcc
}


/* side bar adjustment */
nav.secondary .list-group-item {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
	padding: 4px 5px;
}
nav.secondary a {
    display: block;
}

/* download page specifics */
.download-sidebar div { /* font-awesome icon */
    display: inline;
}

#toc {
    font-size: 15px;
    border-radius: 4px;
    background: #f5f5f5;
    display: table;
    padding: 12px;
}
#toc ul {
    list-style-type: decimal;
    padding-left: 20px;
    margin: 0;
}
#toc a {
    display: block;
    padding-right: 20px;
}
#toc li {
    padding: 0;
}
#toc ul ul {
    font-size: 13px;
    list-style-type: lower-alpha;
}
#toc ul ul ul {
    list-style-type: none;
}

code {
  text-align: left;
}

.fpNaming {
    word-wrap: normal;
    overflow-wrap: normal;
    background-color: #EEE;
    padding: 10px;
    border: 1px solid #000;
}

.fpNamingSpan {
    white-space: pre-line;
}

.klcRule {
    background-color: #FAFAFA;
    border: 1px solid #AAa;
    padding: 10px;
}

.klcimg {
    border: 2px solid #aaa;
    max-width: 100%;
}

.klcimg:hover {
    opacity: 0.7;
}


.download-list-group > .list-group-item,
.download-list-group > .list-group-item:hover,
.download-list-group > .list-group-item:active {    
    padding: 10px 15px;
    min-height: 68px;
    line-height: 44px;
    font-size: 18px;

    background-repeat: no-repeat;
    background-position: 113% 92%;
    background-color: #337ab7;
    color: #FFF;
}

.download-list-group > .list-group-item img {    
    height: 48px;
}

a.plain-link {
    text-decoration: none;
}

/* Weight and italics. BS4 */

.font-weight-light  { font-weight: 300 !important; }
.font-weight-normal { font-weight: 400 !important; }
.font-weight-bold   { font-weight: 800 !important; }
.font-italic        { font-style: italic !important; }

/* Forces asciidoctor embedded images not to go past the content column */
.imageblock img {
    max-width: 100%;
}

/* Fix modal causing page shifts, may affect mobile experience but condition dependent (should be fine for us) */
.modal {
    overflow-y: auto;
}

.modal-open {
    overflow: auto;
}

.modal-open[style] {
    padding-right: 0px !important;
}

.panel-heading .accordion-toggle:after {
    /* symbol for "opening" panels */
    font-family: "Font Awesome 5 Free";
    content: "\f0d8";    /* adjust as needed, taken from bootstrap.css */
    float: right;        /* adjust as needed */
    color: grey;         /* adjust as needed */
}
.panel-heading .accordion-toggle.collapsed:after {
    /* symbol for "collapsed" panels */
    content: "\f0d7";    /* adjust as needed, taken from bootstrap.css */
}

pre code {
    white-space: inherit;
}